javax.resource.spi

## Interface ConnectionManager

- All Superinterfaces:
    java.io.Serializable

      public interface ConnectionManager
      extends java.io.Serializable

  ConnectionManager interface provides a hook for the resource adapter to pass a connection request to the application server.

  An application server provides implementation of the ConnectionManager interface. This implementation is not specific to any particular type of the resource adapter or connection factory interface.

  The ConnectionManager implementation delegates to the application server to enable latter to provide quality of services (QoS) - security, connection pool management, transaction management and error logging/tracing.

  An application server implements these services in a generic manner, independent of any resource adapter and EIS specific mechanisms. The connector architecture does not specify how an application server implements these services; the implementation is specific to an application server.

  After an application server hooks-in its services, the connection request gets delegated to a ManagedConnectionFactory instance either for the creation of a new physical connection or for the matching of an already existing physical connection.

  An implementation class for ConnectionManager interface is required to implement the `java.io.Serializable` interface.

  In the non-managed application scenario, the ConnectionManager implementation class can be provided either by a resource adapter (as a default ConnectionManager implementation) or by application developers. In both cases, QOS can be provided as components by third party vendors.

  Since:
    0.6
  Author:
    Rahul Sharma
  See Also:
    `ManagedConnectionFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `allocateConnection(ManagedConnectionFactory mcf, ConnectionRequestInfo cxRequestInfo)` The method allocateConnection gets called by the resource adapter's connection factory instance.

- - ### Method Detail

    - #### allocateConnection

          java.lang.Object allocateConnection(ManagedConnectionFactory mcf,
                                              ConnectionRequestInfo cxRequestInfo)
                                       throws ResourceException

      The method allocateConnection gets called by the resource adapter's connection factory instance. This lets connection factory instance (provided by the resource adapter) pass a connection request to the ConnectionManager instance.

      The connectionRequestInfo parameter represents information specific to the resource adapter for handling of the connection request.

      Parameters:
        `mcf` - used by application server to delegate connection matching/creation
        `cxRequestInfo` - connection request Information
      Returns:
        connection handle with an EIS specific connection interface.
      Throws:
        `ResourceException` - Generic exception
        `ApplicationServerInternalException` - Application server specific exception
        `SecurityException` - Security related error
        `ResourceAllocationException` - Failed to allocate system resources for connection request
        `ResourceAdapterInternalException` - Resource adapter related error condition

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)